Bug 1737833 - pulsecaster depends on Python 2
Summary: pulsecaster depends on Python 2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pulsecaster
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul W. Frields
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-06 09:50 UTC by Lumír Balhar
Modified: 2019-09-14 01:18 UTC (History)
2 users (show)

Fixed In Version: pulsecaster-0.9-1.f32.noarch
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-14 01:16:35 UTC


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-06 09:50:48 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for pulsecaster's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) [remove if clear]

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to pulsecaster.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 16:55:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 17:54:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Lumír Balhar 2019-08-15 07:09:16 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 4 Lumír Balhar 2019-08-22 06:45:03 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 5 Lumír Balhar 2019-08-29 05:28:27 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 6 Miro Hrončok 2019-09-05 10:41:45 UTC
According to the procedure described in https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages the package was now orphaned. If you think it was a mistake, you can provide the answers and claim the package back.

Let us know if you need any help or just need more time.

Comment 7 Paul W. Frields 2019-09-05 12:30:47 UTC
I do just need a couple weeks. I have a new branch that is working fine with just Python 3, and am just waiting on translation deadline to do a new upstream release and then a package update for Rawhide, F31, and F30.  Can the package be unorphaned?

Comment 8 Miro Hrončok 2019-09-05 13:23:31 UTC
The package is unorphaned. Glad to hear it is ready for Python 3. Not sure what translation deadline are you talking about, but few weeks is fine, thanks for the update.

Comment 9 Paul W. Frields 2019-09-05 16:40:33 UTC
Translation deadline (2019-09-13) announcement:
https://www.transifex.com/stickster/pulsecaster/announcements/11116/

Comment 10 Lumír Balhar 2019-09-13 08:46:05 UTC
Thanks for the info. Let us know in case you need any help.

Comment 11 Paul W. Frields 2019-09-14 01:16:35 UTC
As promised, new upstream release now is fully Python 3 ready! Thanks for the extra time. Rawhide is ready, F31 update is going to testing now.


Note You need to log in before you can comment on or make changes to this bug.